powered by Jive Software

Ant error ,why?

Error Description:



Buildfile: C:\java\eclipse-SDK-3.0.1-win32\eclipse\workspace\Jive_Messenger\build\build.xm l

init:

compile:

jspc:

-jspc-impl:

Copying 1 file to C:\java\eclipse-SDK-3.0.1-win32\eclipse\workspace\Jive_Messenger\target\webapp\ WEB-INF

-i18n:

jar:

-prepare:

Copying 1 file to C:\java\eclipse-SDK-3.0.1-win32\eclipse\workspace\Jive_Messenger\target\plugins \admin\webapp

javadoc:

-javadoc-impl:

Generating Javadoc

Javadoc execution

BUILD FAILED: C:\java\eclipse-SDK-3.0.1-win32\eclipse\workspace\Jive_Messenger\build\build.xm l:308: The following error occurred while executing this line:

C:\java\eclipse-SDK-3.0.1-win32\eclipse\workspace\Jive_Messenger\build\build.xml :319: Javadoc failed: java.io.IOException: CreateProcess: javadoc.exe -d C:\java\eclipse-SDK-3.0.1-win32\eclipse\workspace\Jive_Messenger\target\javadoc -windowtitle “Jive Messenger 2.1.1 Javadoc” -overview C:\java\eclipse-SDK-3.0.1-win32\eclipse\workspace\Jive_Messenger\src\java\overv iew.html -doctitle “Jive Messenger 2.1.1 Javadoc” -header “Jive Messenger 2.1.1 Javadoc” -bottom “Copyright © 1999-2004 Jive Software.” -classpath C:\java\eclipse-SDK-3.0.1-win32\eclipse\workspace\Jive_Messenger\build\lib\ant- contrib.jar;C:\java\eclipse-SDK-3.0.1-win32\eclipse\workspace\Jive_Messenger\bui ld\lib\ant-subdirtask.jar;C:\java\eclipse-SDK-3.0.1-win32\eclipse\workspace\Jive _Messenger\build\lib\ant.jar;C:\java\eclipse-SDK-3.0.1-win32\eclipse\workspace\J ive_Messenger\build\lib\commons-el.jar;C:\java\eclipse-SDK-3.0.1-win32\eclipse\w orkspace\Jive_Messenger\build\lib\jasper-compiler.jar;C:\java\eclipse-SDK-3.0.1- win32\eclipse\workspace\Jive_Messenger\build\lib\jasper-runtime.jar;C:\java\ecli pse-SDK-3?

Total time: 4 seconds

Hi zhuam,

Which ant target were you using in the Messenger build when you received this error?

Also, it looks like you’‘re using Eclipse 3.0.1, even though it’'s in beta (but very stable) you might want to consider upgrading to url=http://download.eclipse.org/downloads/drops/S-3.1M5a-200502191500/index.phpEclipse 3.1[/url] since it supports JDK 1.5 which is what Messenger uses.

~Ryan